Authorization Server jar
======
The Authorization Server jar module contains all of the main code of the actual Authorization Server war module. It is compliant with the [the draft v2-31 OAuth specification](http://tools.ietf.org/html/draft-ietf-oauth-v2-31).

The main building blocks of the Authorization Server are:

* [JAX-RS](http://en.wikipedia.org/wiki/Java_API_for_RESTful_Web_Services) endpoints (by default using the [Jersey](http://jersey.java.net/) implementation).
    * CRUD interface for Resource Servers and Client apps
    * OAuth2 authorization and token resources for obtaining access (and optionally refresh) tokens
    * An endpoint/ resource for validating access tokens (to be leveraged by a Resource Server)
* Pluggable [Filters](http://docs.oracle.com/javaee/1.3/api/javax/servlet/Filter.html) for Resource Owner authentication and user consent handling.
    * See `org.surfnet.oaaas.auth.AbstractAuthenticator` and the default implementation `org.surfnet.oaaas.authentication.FormLoginAuthenticator`
    * See `org.surfnet.oaaas.auth.AbstractUserConsentHandler` and the default implementation `org.surfnet.oaaas.consent.FormUserConsentHandler`
* Spring configuration to wire everything together
    * The main components are annotated using `org.springframework.stereotype@Repository`, `javax.inject.@Named` and `javax.inject.@Inject`
    * See `/apis-authorization-server-war/src/main/java/org/surfnet/oaaas/config/DefaultPackagesResourceConfig.java` and `/apis-authorization-server-war/src/main/java/org/surfnet/oaaas/config/SpringConfiguration.java`
* [OpenJPA](http://openjpa.apache.org/) persistence layer
    * See `/apis-authorization-server/src/main/resources/META-INF/persistence.xml`
    * See `/apis-authorization-server/src/main/resources/db/migration/mysql/V1__auth-server-admin.sql`

See the documentation in the [README.md](https://github.com/OpenConextApps/apis/blob/master/README.md) in the root project for overall documentation.

